
QGIS Application - Bug report #16890

Crash doing rollback

2017-07-19 01:11 PM - Luigi Pirelli

Status: Closed

Priority: High

Assignee:

Category: Editing

Affected QGIS version:master Regression?: Yes

Operating System: Win10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 24789

Description

To replicate

1) Follow the steps as in:

https://issues.qgis.org/attachments/download/11178/Recording%20%232.mp4 of the issue #16870

2) after received the save edit errors, click on create new project

3) will ask to save or discard edits => click discard => crash!

******************

h2. User Feedback

Report Details

Crash ID: 40542165b5fc513272d48e74fce875898c6f4d84

Stack Trace

((unknown module)) QgsVectorLayer::rollBack (unknown file):(unknown line)

((unknown module)) QgisApp::toggleEditing (unknown file):(unknown line)

((unknown module)) QgisApp::removingLayers (unknown file):(unknown line)

((unknown module)) QtPrivate::FunctorCall<QtPrivate::IndexesList<0>,QtPrivate::List<QStringList const & __ptr64>,void,void

(__cdecl QgisApp::*)(QStringList const & __ptr64) __ptr64>::call (unknown file):(unknown line)

((unknown module)) QtPrivate::FunctionPointer<void (__cdecl QgisApp::*)(QStringList const & __ptr64)

__ptr64>::call<QtPrivate::List<QStringList const & __ptr64>,void> (unknown file):(unknown line)

((unknown module)) QtPrivate::QSlotObject<void (__cdecl QgisApp::*)(QStringList const & __ptr64)

__ptr64,QtPrivate::List<QStringList const & __ptr64>,void>::impl (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

((unknown module)) QgsProject::layersWillBeRemoved (unknown file):(unknown line)

((unknown module)) QtPrivate::FunctorCall<QtPrivate::IndexesList<0>,QtPrivate::List<QStringList const & __ptr64>,void,void

(__cdecl QgsProject::*)(QStringList const & __ptr64) __ptr64>::call (unknown file):(unknown line)

((unknown module)) QtPrivate::FunctionPointer<void (__cdecl QgsProject::*)(QStringList const & __ptr64)

__ptr64>::call<QtPrivate::List<QStringList const & __ptr64>,void> (unknown file):(unknown line)

((unknown module)) QtPrivate::QSlotObject<void (__cdecl QgsProject::*)(QStringList const & __ptr64)

__ptr64,QtPrivate::List<QStringList const & __ptr64>,void>::impl (unknown file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

((unknown module)) QgsMapLayerStore::layersWillBeRemoved (unknown file):(unknown line)

((unknown module)) QgsMapLayerStore::removeMapLayers (unknown file):(unknown line)

((unknown module)) QgsMapLayerStore::removeMapLayers (unknown file):(unknown line)

((unknown module)) QgsMapLayerStore::removeAllMapLayers (unknown file):(unknown line)

((unknown module)) QgsProject::removeAllMapLayers (unknown file):(unknown line)

((unknown module)) QgsProject::clear (unknown file):(unknown line)

((unknown module)) QgisApp::closeProject (unknown file):(unknown line)

((unknown module)) QgisApp::fileNew (unknown file):(unknown line)

((unknown module)) QgisApp::fileNew (unknown file):(unknown line)

((unknown module)) <lambda_b5eae89df074bf6a77705c7bcbe3dd9a>::operator() (unknown file):(unknown line)

((unknown module))

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,<lambda_b5eae89df074bf6a77705c7bcbe3dd9a> >::call

(unknown file):(unknown line)
((unknown module)) QtPrivate::Functor<<lambda_b5eae89df074bf6a77705c7bcbe3dd9a>,0>::call<QtPrivate::List<>,void>

(unknown file):(unknown line)

((unknown module))

QtPrivate::QFunctorSlotObject<<lambda_b5eae89df074bf6a77705c7bcbe3dd9a>,0,QtPrivate::List<>,void>::impl (unknown

file):(unknown line)

(Qt5Core) QMetaObject::activate (unknown file):(unknown line)

(Qt5Widgets) QAction::activate (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::click (unknown file):(unknown line)

(Qt5Widgets) QAbstractButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QToolButton::mouseReleaseEvent (unknown file):(unknown line)

(Qt5Widgets) QWidget::event (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsApplication::notify (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::sendMouseEvent (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QSizePolicy::QSizePolicy (unknown file):(unknown line)

(Qt5Widgets) QApplicationPrivate::notify_helper (unknown file):(unknown line)

(Qt5Widgets) QApplication::notify (unknown file):(unknown line)

((unknown module)) QgsApplication::notify (unknown file):(unknown line)

(Qt5Core) QCoreApplication::notifyInternal2 (unknown file):(unknown line)

((unknown module)) QGuiApplicationPrivate::processMouseEvent (unknown file):(unknown line)

((unknown module)) QWindowSystemInterface::sendWindowSystemEvents (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) CallWindowProcW (unknown file):(unknown line)

((unknown module)) DispatchMessageW (unknown file):(unknown line)

(Qt5Core) QEventDispatcherWin32::processEvents (unknown file):(unknown line)

((unknown module)) qt_plugin_query_metadata (unknown file):(unknown line)

(Qt5Core) QEventLoop::exec (unknown file):(unknown line)

(Qt5Core) QCoreApplication::exec (unknown file):(unknown line)

((unknown module)) main (unknown file):(unknown line)

((unknown module)) WinMain (unknown file):(unknown line)

((unknown module)) __scrt_common_main_seh (unknown file):(unknown line)

((unknown module)) BaseThreadInitThunk (unknown file):(unknown line)

((unknown module)) RtlUserThreadStart (unknown file):(unknown line)

Plugins

Project Info

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: d70f53c

Compiled against Qt: 5.7.1

Running against Qt: 5.7.1

Compiled against GDAL: 2.2.1

Running against GDAL: 2.2.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2017-07-19 01:12 PM - Giovanni Manghi

- Regression? changed from No to Yes

#2 - 2017-07-19 05:37 PM - Jürgen Fischer

- Description updated
#3 - 2017-07-19 06:15 PM - Giovanni Manghi

- Status changed from Open to Feedback

duplicated of #16771?

#4 - 2017-07-20 07:49 AM - Jürgen Fischer

- Subject changed from Crash doing roolback to Crash doing rollback

#5 - 2017-08-08 12:27 AM - Jürgen Fischer

- Description updated

#6 - 2017-11-13 07:28 AM - Nyall Dawson

Can't reproduce - probably fixed alongside #16771

#7 - 2018-01-24 09:19 AM - Nyall Dawson

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Closed due to lack of feedback

2025-04-27 3/3


